import 'package:flutter/material.dart';
import '../../shared_class.dart';

class DateCardView extends StatefulWidget {
  final Color textColor;
  final Color backColor;
  final DateTime snapData;
  final double width;
  final double height;
  // final double radius;
  DateCardView(this.textColor,this.backColor,this.snapData,this.width,this.height);
  @override
  _DateCardViewState createState() => _DateCardViewState();
}

//CARD VIEW TO HANDLE THE DISPLAY THE SELECTED DATE
class _DateCardViewState extends State<DateCardView> {
  @override
  Widget build(BuildContext context) {
    return Center(
        child: Card(
            shape: StadiumBorder(
              side: BorderSide(
                color: widget.backColor,
              ),
            ),
            child: Container(
              height: widget.height,
              width: widget.width,
              child: Center(
                child: Container(
                    child: Center(
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: [
                            Text(
                              '${month(widget.snapData)} ',
                              style: TextStyle(
                                  color: widget.textColor,
                                  fontWeight: FontWeight.bold,
                                  fontSize: 15),
                            ),
                            Text(
                              '${widget.snapData.day}',
                              style: TextStyle(
                                  color: widget.textColor,
                                  fontWeight: FontWeight.bold,
                                  fontSize: 12),
                            ),
                            Text(
                              '${date(widget.snapData)}',
                              style: TextStyle(
                                  color: widget.textColor,
                                  fontWeight: FontWeight.bold,
                                  fontSize: 12),
                            ),
                          ],
                        ))),
              ),
            )));
  }

}
